diff options
| author | Mirek Kratochvil <exa.exa@gmail.com> | 2025-12-28 10:13:54 +0100 |
|---|---|---|
| committer | Mirek Kratochvil <exa.exa@gmail.com> | 2025-12-28 10:13:54 +0100 |
| commit | dc3f34978376ff066892e369ccb287851581042c (patch) | |
| tree | ac495b7da22560654d367bbfade0ee88fa9fbb72 /libexec | |
| parent | f550022df4918036eb2a2b3bf745cf446f30db19 (diff) | |
| download | git-deli-dc3f34978376ff066892e369ccb287851581042c.tar.gz git-deli-dc3f34978376ff066892e369ccb287851581042c.tar.bz2 | |
intern base finding
Diffstat (limited to 'libexec')
| -rwxr-xr-x | libexec/git-deli-find-base-commits.sh | 40 |
1 files changed, 0 insertions, 40 deletions
diff --git a/libexec/git-deli-find-base-commits.sh b/libexec/git-deli-find-base-commits.sh deleted file mode 100755 index 3e16227..0000000 --- a/libexec/git-deli-find-base-commits.sh +++ /dev/null @@ -1,40 +0,0 @@ -#!/bin/bash - -extend_bases () { - shas="$1" - new="$2" - for sha in $shas ; do - [ "$sha" = "$new" ] && continue - ${DELI_GIT_IS_ANCESTOR_CMD:-git merge-base --is-ancestor} "$sha" "$new" - res=$? - case $res in - 0) ;; - 1) echo "$sha" ;; - *) echo "$0: ancestor finding failed" >&2 - exit 1 ;; - esac - done - old=no - for sha in $shas ; do - [ "$sha" = "$new" ] && continue - ${DELI_GIT_IS_ANCESTOR_CMD:-git merge-base --is-ancestor} "$new" "$sha" - res=$? - case $res in - 0) old=yes ; break ;; - 1) ;; - *) echo "$0: ancestor finding failed" >&2 - exit 1 ;; - esac - done - [ $old = no ] && echo "$new" -} - -bases="" - -while read sha ; do - bases=$( extend_bases "$bases" "$sha" ) -done - -for sha in $bases ; do - echo "$sha" -done |
